<?php
/**
 * @category   Alogic
 * @package    Alogic_Distributors
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Distributors\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\Distributors\Model\DistributorsFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * Distributors View block
 */
class DistributorsView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Distributors
     */
    protected $_distributors;
    public function __construct(
        Context $context,
        DistributorsFactory $distributors,
        FilterProvider $filterProvider
    ) {
        $this->_distributors = $distributors;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic Distributors Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $distributors = $this->_distributors->create();
        $singleData = $distributors->load($id);
        if($singleData->getDistributorsId() || $singleData['distributors_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}